Bug 175193 - APIC error on CPU0
APIC error on CPU0
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-07 11:10 EST by Orion Poplawski
Modified: 2015-01-04 17:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-13 11:37:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2005-12-07 11:10:32 EST
Description of problem:

Seeing the following on a new HP zv6000 Athlon 64 laptop with rawhide:


 <7>APIC error on CPU0: 00(40)
Losing some ticks... checking if CPU frequency changed.
APIC error on CPU0: 40(40)
APIC error on CPU0: 40(40)
APIC error on CPU0: 40(40)
APIC error on CPU0: 40(40)
APIC error on CPU0: 40(40)
....

not sure if it is causing any problems.


Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1740_FC5
Comment 1 Dave Jones 2005-12-07 16:48:55 EST
I've checked a fix into CVS that should suppress these messages.
Will be in build 1744 and higher.
Comment 2 Orion Poplawski 2005-12-13 11:37:27 EST
Indeed, don't see them with 1749.
Comment 3 Dave Jones 2006-02-23 21:16:35 EST
Can you paste the lspci output of this please ?
Comment 4 Orion Poplawski 2006-03-06 17:39:40 EST
(In reply to comment #3)
> Can you paste the lspci output of this please ?
> 

[root@adelie ~]# lspci
00:00.0 Host bridge: ATI Technologies Inc RS480 Host Bridge
00:01.0 PCI bridge: ATI Technologies Inc Unknown device 5a3f
00:04.0 PCI bridge: ATI Technologies Inc Unknown device 5a36
00:13.0 USB Controller: ATI Technologies Inc IXP SB400 USB Host Controller
00:13.1 USB Controller: ATI Technologies Inc IXP SB400 USB Host Controller
00:13.2 USB Controller: ATI Technologies Inc IXP SB400 USB2 Host Controller
00:14.0 SMBus: ATI Technologies Inc IXP SB400 SMBus Controller (rev 10)
00:14.1 IDE interface: ATI Technologies Inc Standard Dual Channel PCI IDE
Controller ATI
00:14.3 ISA bridge: ATI Technologies Inc IXP SB400 PCI-ISA Bridge
00:14.4 PCI bridge: ATI Technologies Inc IXP SB400 PCI-PCI Bridge
00:14.5 Multimedia audio controller: ATI Technologies Inc IXP SB400 AC'97 Audio
Controller (rev 01)
00:14.6 Modem: ATI Technologies Inc ATI SB400 - AC'97 Modem Controller (rev 01)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
01:05.0 VGA compatible controller: ATI Technologies Inc ATI Radeon XPRESS 200M
5955 (PCIE)
03:00.0 FireWire (IEEE 1394): Texas Instruments TSB43AB22/A IEEE-1394a-2000
Controller (PHY/Link)
03:02.0 Network controller: Broadcom Corporation BCM4318 [AirForce One 54g]
802.11g Wireless LAN Controller (rev 02)
03:04.0 CardBus bridge: Texas Instruments PCIxx21/x515 Cardbus Controller
03:04.3 Mass storage controller: Texas Instruments PCIxx21 Integrated FlashMedia
Controller
03:04.4 Class 0805: Texas Instruments PCI6411, PCI6421, PCI6611, PCI6621,
PCI7411, PCI7421, PCI7611, PCI7621 Secure Digital (SD) Controller
03:06.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
[root@adelie ~]# lspci -n
00:00.0 0600: 1002:5950
00:01.0 0604: 1002:5a3f
00:04.0 0604: 1002:5a36
00:13.0 0c03: 1002:4374
00:13.1 0c03: 1002:4375
00:13.2 0c03: 1002:4373
00:14.0 0c05: 1002:4372 (rev 10)
00:14.1 0101: 1002:4376
00:14.3 0601: 1002:4377
00:14.4 0604: 1002:4371
00:14.5 0401: 1002:4370 (rev 01)
00:14.6 0703: 1002:4378 (rev 01)
00:18.0 0600: 1022:1100
00:18.1 0600: 1022:1101
00:18.2 0600: 1022:1102
00:18.3 0600: 1022:1103
01:05.0 0300: 1002:5955
03:00.0 0c00: 104c:8023
03:02.0 0280: 14e4:4318 (rev 02)
03:04.0 0607: 104c:8031
03:04.3 0180: 104c:8033
03:04.4 0805: 104c:8034
03:06.0 0200: 10ec:8139 (rev 10)
Comment 5 Orion Poplawski 2006-03-06 17:44:27 EST
Also, with 2.6.15-1.1955_FC5 I see these:

ACPI Error (nsxfeval-0242): Handle is NULL and Pathname is relative [20060127]

Will try the latest soon and see...
Comment 6 Dave Jones 2006-03-06 18:19:36 EST
There's some strange things about apic setup on newer ATI chipsets, but sadly
there's no documentation on them :-/

upstream is continuing to try different approaches to fixing this problem.
the messages are suppressed for now at least.

Note You need to log in before you can comment on or make changes to this bug.